nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::analytics::IObjectTrackInfo Class Referenceabstract
Inheritance diagram for nx::sdk::analytics::IObjectTrackInfo:

## Public Member Functions
virtual const char * | titleText () const =0
virtual const char * | titleImageData () const =0
virtual int | titleImageDataSize () const =0
virtual const char * | titleImageDataFormat () const =0
Public Member Functions inherited from nx::sdk::Interface< IObjectTrackInfo, IObjectTrackInfo1 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IObjectTrackInfo, IObjectTrackInfo1 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Member Function Documentation

## ◆ titleImageData()

virtual const char* nx::sdk::analytics::IObjectTrackInfo::titleImageData | ( |  | ) | const
| pure virtual

Returns
  Pointer to the Track Title image data provided by the Plugin. If the Title was provided in the form of a URL, the pointer being returned by this method points to the data of the image that the Server obtained by this URL. If the Plugin provides neither binary image data nor its URL, null is returned.

## ◆ titleImageDataFormat()

virtual const char* nx::sdk::analytics::IObjectTrackInfo::titleImageDataFormat | ( |  | ) | const
| pure virtual

Returns
  Format of the Title image. Can contain one of the following values: "image/jpeg", "image/png", "image/tiff". If the track has no explicit Title image, an empty string is returned.

## ◆ titleImageDataSize()

virtual int nx::sdk::analytics::IObjectTrackInfo::titleImageDataSize | ( |  | ) | const
| pure virtual

Returns
  Size of the image data array. If the track has no explicit Title image, 0 is returned.

## ◆ titleText()

virtual const char* nx::sdk::analytics::IObjectTrackInfo::titleText | ( |  | ) | const
| pure virtual

Returns
  Title text, or null if the Track does not have a title.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_object_track_info.h